Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-12955

Upgrade to JAX-RS 2 (JSR339)

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 7.4
    • Fix Version/s: None
    • Component/s: Dependency Upgrades
    • Labels:
      None
    • Difficulty:
      Unknown
    • Similar issues:

      Description

      JAX-RS 1 (JSR311) is pretty old now and requiring it is starting to be an issue on some application servers (Tomcat 9, WebSphere 12) and is blocking the use of some dependencies (Keycloak for example but the list is going to grow fast if not already very long) and extensions that would directly or indirectly require the version 2.

      Unfortunately it's not an easy upgrade since Restlet is not fully working with JAX-RS 2 (great retro compatibility on JAX-RS side...) and seems to be pretty much dead so I doubt we can expect a JAX-RS 2 based version of Restlet anytime soon...

      Current project website https://projects.eclipse.org/projects/ee4j.jaxrs

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              sdumitriu Sergiu Dumitriu
              Votes:
              1 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Date of First Response: